<?PHP

#####################################################################
##                                                                 ##
##                       Easy Banner Free                          ##
##                 http://www.phpwebscripts.com/                   ##
##                 e-mail: info@phpwebscripts.com                  ##
##                                                                 ##
##                                                                 ##
##                       copyright (c) 2003                        ##
##                                                                 ##
##                    This script is freeware                      ##
##                                                                 ##
##                You may distribute it by any way                 ##
##                   BUT! You may not modify it!                   ##
## Removing the link to PHPWebScripts.com is a copyright violation.##
##   Altering or removing any of the code that is responsible, in  ##
##   any way, for generating that link is strictly forbidden.      ##
##   Anyone violating the above policy will have their license     ##
##   terminated on the spot.  Do not remove that link - ever.      ##
##                                                                 ##
#####################################################################


if ($HTTP_POST_VARS[co]=='ok') ok($HTTP_POST_VARS); else form($HTTP_SERVER_VARS[PATH_TRANSLATED]);
function form($pathtofolder) { $pathtofolder = ereg_replace ("[\]", '/',$pathtofolder); $pathtofolder = ereg_replace ('//', '/',$pathtofolder); $pathtofolder = ereg_replace ('/setup.php','',$pathtofolder); include('./admin/head.txt');
?><form method="POST" action="setup.php"><input type="hidden" name="co" value="ok"><table border="0" width="700" cellspacing="2" cellpadding="4" class="table1">
<tr><td colspan=2 align="center"><span class="text13blue"><b>Баннерная Сеть</b><br>Пожалуйста, пропишите здесь настройки<br>Если у вас нет MySQL базы данных, то этот скрипт не поставится!</span></td></tr>
<tr><td align="left"><span class="text13">Mysql хост (попробуйте 'localhost' если вы не знаете, чё писать).</span></td><td align="left"><INPUT maxLength=30 size=30 name="dbhost"></td></tr>
<tr><td align="left"><span class="text13">Mysql юзернейм.</span></td><td align="left"><INPUT maxLength=30 size=30 name="dbusername"></td></tr>
<tr><td align="left"><span class="text13">Mysql пароль.</span></td><td align="left"><INPUT maxLength=30 size=30 name="dbpassword"></td></tr>
<tr><td align="left"><span class="text13">Mysql база даных.</span></td><td align="left"><INPUT maxLength=30 size=30 name="dbname"></td></tr>
<tr><td align="left"><span class="text13">Полный путь до директории где живёт скрипт. Не ставьте последний слеш.</span></td><td align="left"><INPUT maxLength=100 size=50 name="phppath" value="<?PHP echo $pathtofolder; ?>"><br><span class="text10">Sample: /htdocs/sites/user/html/easybannerfree</span></td></tr>
<tr><td align="middle" width="100%" colSpan=2><INPUT type=submit value="&nbsp;&nbsp;Сохранить&nbsp;&nbsp;" name="D1" class="button1"></span></TD>
</TR></TBODY></TABLE></FORM></center><br><?PHP exit(); }
function ok($form) { global $s; include('./admin/head.txt');
if (!$form[dbhost]) { chyba ("<center>Неверно указан хост."); $chyba=1;} else hlaseni ("<center>MySQL хост: $form[dbhost] Есть контакт!!!.");
if (!$form[dbusername]) { chyba ("Mysql юзернейм неверный."); $chyba=1;} else hlaseni ("MySQL юзернейм: $form[dbusername] Есть контакт!!!.");
if (!$form[dbpassword]) { chyba ("Пароль от Mysql неверный."); $chyba=1;} else hlaseni ("MySQL пароль: $form[dbpassword] Есть контакт!!!.");
if (!$form[dbname]) { chyba ("Неверное имя  Mysql базы данных."); $chyba=1;} else hlaseni ("MySQL База данных: $form[dbname] Есть контакт!!!.");
if (!$form[phppath]) { chyba ("Поле пути до скрипта нельзя оставить пустым."); $chyba=1;} else hlaseni ("Путь до скрипта: $form[phppath] Есть контакт!!!.");
if ($chyba) { chyba ("<br>Невозможно продолжить. иди назад и попробуй снова."); exit();}
$data = "<?PHP \$s[dbhost] = \"$form[dbhost]\"; \$s[dbusername] = \"$form[dbusername]\"; \$s[dbpassword] = \"$form[dbpassword]\"; \$s[phprath] = \"PGNlbnRlcj4=\"; \$s[dbname] = \"$form[dbname]\"; \$s[phpruth] = \"PGEgaHJlZj0iaHR0cDovL3BocHdlYnNjcmlwdHMuY29tLyI+\"; \$s[phppath] = \"$form[phppath]\"; ?>"; create_write_file("$form[phppath]/data/data.php",$data,1,0666,1);
$data = '<?PHP '.time().'; ?>'; create_write_file("$form[phppath]/data/resettime",$data,0,0666,1);
$data = "AuthName \"BANNED\"\nAuthType Basic\nAuthUserFile /dev/null\nAuthGroupFile /dev/null\n\nrequire valid-user\n\n"; create_write_file("$form[phppath]/data/.htaccess",$data,0,0644,0);
$data = 'admin:'.MD5('admin'); create_write_file("$form[phppath]/data/.htpasswd",$data,0,0666,1);
include("./data/data.php"); include("./common.php");
$q = mysql_query("CREATE TABLE ebfmembers (
   userid varchar(10) NOT NULL,
   userpass varchar(10) NOT NULL,
   email varchar(70) NOT NULL,
   siteurl varchar(100),
   urlbanner varchar(100),
   weshow int(11),
   notused decimal(10,2),
   approved tinyint(4) NOT NULL,
   date date NOT NULL,
   time int(11) NOT NULL,
   meshows int(11) NOT NULL,
   earned decimal(12,2) NOT NULL,
   number int(11) NOT NULL,
   PRIMARY KEY (userid))");
if (!$q) { $inf = mysql_error(); $infnum = mysql_errno(); echo "<span class=\"text13blue\">$inf.</span><br>"; }
if ($infnum==1050) echo '<span class="text13blue">Все необходимые таблицы созданы.</span><br><br>';
elseif ($q)  echo '<span class="text13blue">Сетап создал все необходимые таблицы.</span><br><br>';
else { echo '<span class="text13blue"><b>Возникла проблема с MySQL базой данных. Пожалуйста проверьте настройки ваших баз данных. Не могу продолжить...</b></span><br>'; exit(); }
echo '<table width=750 cellpadding=15 cellspacing=0 class="table1"><tr><td align="center">
<span class="text13blue">Система проинсталлена. Удалите пожалуйста сетап.пхп, дабы обеспечить безопасность системы.
<br><br><span class="text13">Продолжите настраивать систему  <a href="admin/index.html">здесь</a> <br>Используйте юзернейм "admin" и пароль "admin".</span>
</span></td></tr></table>'; }
function chyba($text) { echo "<font size=2 color=#FF0000 face=\"Verdana,arial,sans-serif\"><b>$text</b></span><br>"; }
function hlaseni($text) { echo "<span class=\"text13blue\">$text</span><br>"; }
function create_write_file($file,$content,$owerwrite,$chmod,$fatal) {
if ( (!$owerwrite) AND (file_exists($file)) ) { hlaseni ("Файл '$file' уже создан. Перезаписал."); return 0; }
if (!$sb = @fopen($file,'w')) { chyba ("Невозможно создать '$file'. Ставь чмод на директорию - 777.",$fatal); return 0; }
$zapis = @fwrite ($sb,$content); fclose($sb);
if (!$zapis) { chyba ("Невозможно перезаписать  '$file'. Ставь чмод на директорию - 777.",$fatal); return 0; }
hlaseni ("Created file '$file'."); if ($chmod) @chmod($file,$chmod); }


?>